Skip to main content
POST
Buy a specific in-stock dedicated server

Authorizations

Authorization
string
header
required

Session access token (JWT) from POST /v1/auth/login or /v1/auth/refresh. A session satisfies every API scope.

Body

application/json
tenantosId
string
required

TenantOS server id, from GET /v1/client/dedicated/marketplace.

hostname
string
required
Minimum string length: 1
profileId
integer
required

Install profile id, from GET /v1/client/dedicated/profiles.

rootPassword
string
sshKeys
string[]

Public keys to install.

couponCode
string

Response

Order placed.

success
boolean
required
data
object
required